Browse code

fixes for community

Nat! authored on 07/11/2016 23:40:01
Showing 4 changed files
... ...
@@ -1,3 +1,8 @@
1
+1.1.2
2
+===
3
+
4
+* fixes for community version
5
+
1 6
 1.1.1
2 7
 ===
3 8
 
... ...
@@ -2,16 +2,19 @@
2 2
 
3 3
 PROJECT="MulleConcurrent"    # requires camel-case
4 4
 DESC="Lock- and Wait-free Hashtable (and an Array too) in C"
5
-DEPENDENCIES="mulle-c11
6
-mulle-allocator
7
-mulle-aba
8
-mulle-thread"            # names not camel case
9
-ORIGIN=public            # git repo to push
5
+DEPENDENCIES='${REMOTEROOTDIR}/software/mulle-c11
6
+${REMOTEROOTDIR}/software/mulle-allocator
7
+${REMOTEROOTDIR}/software/mulle-aba
8
+${REMOTEROOTDIR}/software/mulle-thread'  # no camel case, will be evaled later!
10 9
 LANGUAGE=c               # c,cpp, objc
11 10
 
11
+#
12
+# Ideally you don't hafta change anything below this line
13
+#
12 14
 # source mulle-homebrew.sh (clumsily)
13 15
 
14
-. ./bin/mulle-homebrew/mulle-homebrew.sh
16
+. ./bin/repository-info.sh || exit 1
17
+. ./bin/mulle-homebrew/mulle-homebrew.sh || exit 1
15 18
 
16 19
 # parse options
17 20
 homebrew_parse_options "$@"
... ...
@@ -41,8 +44,7 @@ VERSION="`get_header_version "${HEADER}" "${VERSIONNAME}"`"
41 41
 # --- HOMEBREW FORMULA ---
42 42
 # Information needed to construct a proper brew formula
43 43
 #
44
-HOMEPAGE="https://www.mulle-kybernetik.com/software/git/${NAME}"
45
-ARCHIVEURL='https://www.mulle-kybernetik.com/software/git/${NAME}/tarball/${VERSION}'  # ARCHIVEURL will be evaled later! keep it in single quotes
44
+HOMEPAGE="${REMOTEURL}/${NAME}"
46 45
 
47 46
 
48 47
 # --- HOMEBREW TAP ---
49 48
new file mode 100644
... ...
@@ -0,0 +1,9 @@
0
+#! /bin/sh
1
+
2
+ORIGIN=origin                                    # git repo to push
3
+REMOTEROOTDIR="mulle-objc"
4
+REMOTEHOST="https://github.com"
5
+REMOTEURL="${REMOTEHOST}/${REMOTEROOTDIR}"
6
+ARCHIVEURL='${REMOTEURL}/${NAME}/archive/${VERSION}.tar.gz'  # ARCHIVEURL will be evaled later! keep it in single quotes
7
+
8
+:
... ...
@@ -34,8 +34,10 @@
34 34
 #ifndef mulle_concurrent_h__
35 35
 #define mulle_concurrent_h__
36 36
 
37
-
38
-#define MULLE_CONCURRENT_VERSION  ((1 << 20) | (1 << 8) | 1)
37
+//
38
+// community version is always even
39
+//
40
+#define MULLE_CONCURRENT_VERSION  ((1 << 20) | (1 << 8) | 2)
39 41
 
40 42
 #include <mulle_thread/mulle_thread.h>
41 43
 #include <mulle_allocator/mulle_allocator.h>